/**
 * TurboCommons is a general purpose and cross-language library that implements frequently used and generic software development tasks.
 *
 * Website : -> https://turboframework.org/en/libs/turbocommons
 * License : -> Licensed under the Apache License, Version 2.0. You may not use this file except in compliance with the License.
 * License Url : -> http://www.apache.org/licenses/LICENSE-2.0
 * CopyRight : -> Copyright 2015 Edertone Advanded Solutions (08211 Castellar del Vallès, Barcelona). http://www.edertone.com
 */
import { HTTPManagerBaseRequest } from './HTTPManagerBaseRequest';
import { HashMapObject } from '../../model/HashMapObject';
/**
 * Class that defines a GET http request, to be used by HttpManager
 */
export declare class HTTPManagerGetRequest extends HTTPManagerBaseRequest {
    /**
     * A list of key / value pairs that will be used as parameters for this request
     */
    parameters: {
        [s: string]: string;
    } | HashMapObject;
}
