/**
 * TurboCommons is a general purpose and cross-language library that implements frequently used and generic software development tasks.
 *
 * Website : -> https://turboframework.org/en/libs/turbocommons
 * License : -> Licensed under the Apache License, Version 2.0. You may not use this file except in compliance with the License.
 * License Url : -> http://www.apache.org/licenses/LICENSE-2.0
 * CopyRight : -> Copyright 2015 Edertone Advanded Solutions (08211 Castellar del Vallès, Barcelona). http://www.edertone.com
 */
/**
 * Utilities related to string and text character encoding,
 * converting between formats, and perform common encoding operations.
 */
export declare class EncodingUtils {
    /**
     * Convert a string with unicode escaped sequence of characters (\u00ed, \u0110, ....) to an utf8 string.
     *
     * @param string A string containing unicode escaped characters.
     *
     * @returns An utf8 string conversion of the unicode encoded input.
     */
    static unicodeEscapedCharsToUtf8(string: string): string;
    /**
     * Convert a utf8 string to a string with unicode escaped sequence of characters (\u00ed, \u0110, ...).
     *
     * @param string A string containing an utf8 valid sequence.
     *
     * @return A string containing escaped sequences for all the original utf8 characters
     */
    static utf8ToUnicodeEscapedChars(string: string): string;
}
